package com.nisum.myteam.status.model;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Getter @Setter
@ToString
@NoArgsConstructor @AllArgsConstructor
@Data

@Document(collection = "mystatus")
public class Status {

  @Transient
  public static final String SEQUENCE_NAME = "users_sequence";

  @Id
  private Integer id;
  private LocalDate taskDate;
  private String ticketNumber;
  private int storyPoints;
  private LocalDate planedStartDate;
  private LocalDate planedEndDate;
  private LocalDate actualStartDate;
  private LocalDate actualEndDate;
  private String hoursSpent;
  private String comments;
  private String taskDetails;
  private String priority;
  private String taskType;
  private String empId;
  private String status;
  private LocalDateTime taskAddedTime = LocalDateTime.now();
}
